function onBegin()
	makeUnskippable()
	disableRetry()
	wait(2)
	setFlag("trainmoving",true)
	playMusic("event:/CC/CC_LostInDreams/CC_Train",0)
	wait(9)
	setFlag("trainmoving",false)
	playMusic("event:/-",0)
	playSound("event:/CC/CC_LostInDreams/deskbell_butlouder")
	wait(1)
	setFlag("trainafter",true)
	playSound("event:/CC/CC_LostInDreams/traindoor")
end

function onEnd()
	enableRetry()
end